import logging
import time
import google.cloud.logging
import os

if __name__ == "__main__":
    logging.basicConfig(level=logging.INFO)
    if int(os.environ.get("PRODUCTION", 0)) == 1:
        logging_client = google.cloud.logging.Client()
        logging_client.setup_logging()

    i = 0
    while True:
        try:
            i = i + 1
            logging.info("i=%d", i)
            if i % 10 == 0:
                raise Exception("Crash")
        except:
            logging.exception("Computation failed")
        
        logging.info("Sleeping 3 seconds")
        time.sleep(3)